Bug 34872 - Move rsyslog-relp to maintained
Move rsyslog-relp to maintained
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2-3
Assigned To: Erik Damrose
Alexander Kramer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-20 06:59 CEST by Moritz Muehlenhoff
Modified: 2014-11-11 15:03 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-05-20 06:59:19 CEST
rsyslog-relp is needed in UCC and would also be a useful feature for everyone running remote logging in UCS:

RELP protocol support for rsyslog
These plugins allow rsyslog to send and receive syslog messages via the RELP protocol. RELP ensures reliable transport over the network even on connection loss or if a peer becomes unavailable.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-05-20 07:22:44 CEST
In addition librelp0 from src:librelp is needed
Comment 2 Erik Damrose univentionstaff 2014-06-17 12:41:41 CEST
Moved to 3.2-3. I created the trigger list for 3.2-3 and included rsyslog-relp
Comment 3 Erik Damrose univentionstaff 2014-07-24 12:42:06 CEST
r52163: Added changelog entry
Comment 4 Alexander Kramer univentionstaff 2014-08-04 15:40:45 CEST
Felix told me that we have to build the package(s) for 3.2-3 before i can make the QA
Comment 5 Erik Damrose univentionstaff 2014-08-04 15:59:13 CEST
rsyslog cherrypicked and rebuild for ucs3.2-3 scope
Comment 6 Alexander Kramer univentionstaff 2014-08-06 11:00:22 CEST
repo_get_version.py, triggerlist, changelog, i386- and amd64.iso everything went fine, but i couldn't find the package on the test-systems. checked it for testing.software-univention.de

also tried apt-cache policy with r*/o*/unmaintained='yes' but only found some older-versions for diffrent scopes
Comment 7 Erik Damrose univentionstaff 2014-08-07 11:34:08 CEST
Packages are now available after recreation of the ucs3.2-3 scope. Please verify this.
Comment 8 Alexander Kramer univentionstaff 2014-08-07 14:12:18 CEST
Verified:

rsyslog-relp:
  Installiert: (keine)
  Kandidat:    4.6.4-2.14.201408070958
  Versionstabelle:
     4.6.4-2.14.201408070958 0
        500 http://testing.software-univention.de/3.2/maintained/ 3.2-3/i386/ Packages

rsyslog-relp:
  Installiert: (keine)
  Kandidat:    4.6.4-2.14.201408070958
  Versionstabelle:
     4.6.4-2.14.201408070958 0
        500 http://testing.software-univention.de/3.2/maintained/ 3.2-3/amd64/ Packages
Comment 9 Stefan Gohmann univentionstaff 2014-11-11 15:03:50 CET
UCS 3.2-3 has been released:
 http://docs.univention.de/release-notes-3.2-3-en.html
 http://docs.univention.de/release-notes-3.2-3-de.html

If this error occurs again, please use "Clone This Bug".